PHP Manual
Prev |  | Next

# ZEND_MOD_REQUIRED_EX

ZEND_MOD_REQUIRED_EX -- Create a full dependency entry for the required version of an extension

## Description

#include <zend_modules.h>

void ZEND_MOD_REQUIRED_EX ( char * name, char * rel, char * ver )

ZEND_MOD_REQUIRED_EX() generates a zend_module_dep entry for the extension named by ext_name, including version information. It allows to specify requirements like "up to version x.y", "starting with version x.y" or "exactly version x.y".

Warning
Version specific comparisons are not implemented yet, so for now ZEND_MOD_REUQUIRE() and ZEND_MOD_REQUIRE_EX() define identical behavior.

## Parameters

name

  Name of the required extension

rel

  Comparison operator, one of eq, lt, le, gt, or ge

ver

  Version string

## Return Values

Code to register the required extension

## See Also

See ZEND_MOD_REQUIRED() if you do not need to specify extension version requirements.

See also ZEND_MOD_OPTIONAL(), ZEND_MOD_OPTIONAL_EX(), ZEND_MOD_CONFLICTS(), and ZEND_MOD_CONFLICTS_EX().

Prev | Home | Next
ZEND_MOD_OPTIONAL | Up | ZEND_MOD_REQUIRED